org.gradle.jvmargs=-D"file.encoding=UTF-8"

## Prerequisite Settings
# The software version for the current build
versionProp=
# The group name for the current build
groupProp=
# Path to the local MSB Maven repo for dependencies
repositoryMsbMavenUrlProp=

## git Settings
# Name of the reference to the commit currently checked out. Could be the branch name or tag.
gitRefNameProp=
# The commit hash to deploy. If set blank, the script determines the current hash through a git command.
gitCommitHashProp=
# The unix epoch time of when the commit was committed.
gitCommitUnixTimeProp=
# The path to the directory containing the git repository backing this extension.
gitRepositoryDirectoryProp=

## HUGGS Settings
# Path to where the application runner will be deployed to
deployApplicationRunnerPathProp=
# Base path to deploy application to
deployBaseApplicationPathProp=
# Base path to publish Javadoc files to
deployBaseJavadocPathProp=
# Whether to allow for overwriting of an application
deployOverwriteApplicationEnabledProp=
# Whether to allow for overwriting of Javadoc
deployOverwriteJavadocEnabledProp=
# Whether to allow for deploying in an unclean state
deployUncleanWorkingDirectoryAllowedProp=
# Whether to allow for overwriting of the application runner
deployUpdateApplicationRunnerEnabledProp=
# Whether to update the latest application symlink (set to true to enable)
deployUpdateLatestApplicationSymlinkEnabledProp=
# Whether to update the latest Javadoc symlink (set to true to enable)
deployUpdateLatestJavadocSymlinkEnabledProp=
# Whether to disable host key checking when connecting via SSH.
sshDisableHostKeyCheckingProp=
# Name of host to connect to during ssh session. Only used in deploy task.
sshHostNameProp=
# The SSH Key passphrase. If you did not set up an SSH Key passphrase, leave blank.
sshKeyFilePathProp=
# Path to the private SSH Key. If left blank, points to ${System.properties['user.home']}/.ssh/id_rsa
sshKeyPassphraseProp=
# Username to log in as during ssh session. Only used in deploy task.
sshUsernameProp=

## release-type Settings
# The release type for the project. Valid choices: stable, snapshot, experimental
releaseTypeTypeProp=
